javafx.util

## Class StringConverter<T>

- java.lang.Object
- - javafx.util.StringConverter<T>

- Direct Known Subclasses:
    BigDecimalStringConverter, BigIntegerStringConverter, BooleanStringConverter, ByteStringConverter, CharacterStringConverter, DateTimeStringConverter, DefaultStringConverter, DoubleStringConverter, FloatStringConverter, FormatStringConverter, IntegerStringConverter, LocalDateStringConverter, LocalDateTimeStringConverter, LocalTimeStringConverter, LongStringConverter, NumberAxis.DefaultFormatter, NumberStringConverter, ShortStringConverter

      public abstract class StringConverter<T>
      extends Object

  Converter defines conversion behavior between strings and objects. The type of objects and formats of strings are defined by the subclasses of Converter.
  Since:
    JavaFX 2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringConverter()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract T` | `fromString(String string)` Converts the string provided into an object defined by the specific converter.
    `abstract String` | `toString(T object)` Converts the object provided into its string form.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringConverter

          public StringConverter()

  - ### Method Detail

    - #### toString

          public abstract String toString(T object)

      Converts the object provided into its string form. Format of the returned string is defined by the specific converter.
      Returns:
        a string representation of the object passed in.

    - #### fromString

          public abstract T fromString(String string)

      Converts the string provided into an object defined by the specific converter. Format of the string and type of the resulting object is defined by the specific converter.
      Returns:
        an object representation of the string passed in.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2019, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.